/**
 * Returns `true` if the keyboard event was triggered by the `Enter` key
 */
export function isTabKey(event) {
    return event.key === 'Tab';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Enter` key
 */
export function isEnterKey(event) {
    return event.key === 'Enter';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Space` key
 */
export function isSpaceKey(event) {
    return event.key === ' ';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Escape` key
 */
export function isEscapeKey(event) {
    return event.key === 'Escape';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Backspace` key
 */
export function isBackspaceKey(event) {
    return event.key === 'Backspace';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowDown` key
 */
export function isArrowDownKey(event) {
    return event.key === 'ArrowDown' || event.key === 'Down';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowUp` key
 */
export function isArrowUpKey(event) {
    return event.key === 'ArrowUp' || event.key === 'Up';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowLeft` key
 */
export function isArrowLeftKey(event) {
    return event.key === 'ArrowLeft' || event.key === 'Left';
}
/**
 * Returns `true` if the keyboard event was triggered by the `ArrowRight` key
 */
export function isArrowRightKey(event) {
    return event.key === 'ArrowRight' || event.key === 'Right';
}
/**
 * Returns `true` if the keyboard event was triggered by the `Home` key
 */
export function isHomeKey(event) {
    return event.key === 'Home';
}
/**
 * Returns `true` if the keyboard event was triggered by the `End` key
 */
export function isEndKey(event) {
    return event.key === 'End';
}
